Create Sequence
curl --request POST \
--url https://api.peachdeskai.com/api/v1/sequences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source_type": "csv",
"source_id": "<string>",
"timezone": "UTC"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/sequences"
payload = {
"name": "<string>",
"source_type": "csv",
"source_id": "<string>",
"timezone": "UTC"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', source_type: 'csv', source_id: '<string>', timezone: 'UTC'})
};
fetch('https://api.peachdeskai.com/api/v1/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/sequences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'source_type' => 'csv',
'source_id' => '<string>',
'timezone' => 'UTC'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/sequences"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"source_type\": \"csv\",\n \"source_id\": \"<string>\",\n \"timezone\": \"UTC\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/sequences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"source_type\": \"csv\",\n \"source_id\": \"<string>\",\n \"timezone\": \"UTC\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/sequences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"source_type\": \"csv\",\n \"source_id\": \"<string>\",\n \"timezone\": \"UTC\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"status": "<string>",
"source_type": "<string>",
"source_id": "<string>",
"config": {},
"steps": [
{
"step_type": "<string>",
"name": "<string>",
"step_number": 1,
"id": 123,
"sequence_id": 123,
"client_id": "<string>",
"parent_client_id": "<string>",
"position_in_parent": 0,
"parent_step_id": 123,
"branch_label": "<string>",
"branch_position": 123,
"delay_days": 0,
"delay_hours": 0,
"delay_minutes": 0,
"config": {},
"is_active": true
}
],
"telephony_configuration_id": 123,
"created_at": null,
"published_at": null
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create Sequence
POST
/
api
/
v1
/
sequences
Create Sequence
curl --request POST \
--url https://api.peachdeskai.com/api/v1/sequences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"source_type": "csv",
"source_id": "<string>",
"timezone": "UTC"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/sequences"
payload = {
"name": "<string>",
"source_type": "csv",
"source_id": "<string>",
"timezone": "UTC"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', source_type: 'csv', source_id: '<string>', timezone: 'UTC'})
};
fetch('https://api.peachdeskai.com/api/v1/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/sequences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'source_type' => 'csv',
'source_id' => '<string>',
'timezone' => 'UTC'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/sequences"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"source_type\": \"csv\",\n \"source_id\": \"<string>\",\n \"timezone\": \"UTC\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/sequences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"source_type\": \"csv\",\n \"source_id\": \"<string>\",\n \"timezone\": \"UTC\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/sequences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"source_type\": \"csv\",\n \"source_id\": \"<string>\",\n \"timezone\": \"UTC\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"status": "<string>",
"source_type": "<string>",
"source_id": "<string>",
"config": {},
"steps": [
{
"step_type": "<string>",
"name": "<string>",
"step_number": 1,
"id": 123,
"sequence_id": 123,
"client_id": "<string>",
"parent_client_id": "<string>",
"position_in_parent": 0,
"parent_step_id": 123,
"branch_label": "<string>",
"branch_position": 123,
"delay_days": 0,
"delay_hours": 0,
"delay_minutes": 0,
"config": {},
"is_active": true
}
],
"telephony_configuration_id": 123,
"created_at": null,
"published_at": null
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes

